package com.bonus.canteen.core.pay.constants;


//import com.bonus.canteen.core.pay.channel.account.extension.AccPayExtension;
//import com.bonus.canteen.core.pay.channel.ali.extension.AliPayExtension;

public enum PayChannelEnum {
   ACC(1, "系统账户", null), //AccPayExtension.class
   ALI(3, "支付宝", null), //AliPayExtension.class
   GC_SYSTEM(20, "系统后台", null);

   private final Integer key;
   private final String desc;
   private final Class<?> beanClass;

   private PayChannelEnum(Integer key, String desc, Class beanName) {
      this.key = key;
      this.desc = desc;
      this.beanClass = beanName;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

   public Class<?> getBeanClass() {
      return this.beanClass;
   }

}
